function ot:mobs/malice_reverses

execute as @a at @s run bossbar set ot.1 visible false
execute as @a at @s run bossbar set ot.2 visible false
execute as @a at @s run bossbar set ot.3 visible false
execute as @a at @s run bossbar set ot.4 visible false
execute as @a at @s run bossbar set ot.5 visible false

playsound entity.wither_skeleton.death player @a[distance=..50] ~ ~ ~ .4 0.1
execute as @a[sort=nearest,limit=1] at @s if predicate ot:random/0.1 run summon item ~ ~1 ~ {id:"item",Item:{id:"warped_fungus_on_a_stick",count:1b,components:{"enchantments":{levels:{"respiration":2}},"custom_name":'{"color":"#0ca6ed","italic":false,"translate":"ot.elixr12"}',"unbreakable":{show_in_tooltip:false},"custom_model_data":{strings:['ota_grail']},"custom_data":{OtaItem:1b,OtaConsume:1b}}}}

execute if entity @s[tag=ot.Necromorph] unless entity @e[tag=ot.Mob,distance=4..60] if predicate ot:random/10 run tellraw @a[distance=..50] ["",{"translate":"ot.necroded","color":"aqua"}]
execute if entity @s[tag=ot.Necromorph] run playsound entity.guardian.death_land player @a[distance=..30] ~ ~ ~ .4 .1
execute as @a[predicate=ot:random/5] at @s run tag @s add ot.x2OXP

execute as @a[distance=..50,predicate=ot:random/3.5,limit=1] at @s run function ot:util/random_charm

execute as @a[scores={ot.Charm=1},predicate=ot:random/15] at @s run tag @s add ot.x2OXP
execute as @a[scores={ot.Charm=34},predicate=ot:random/5] at @s run summon item ~ ~1 ~ {Item:{id:"diamond",Count:1b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/3.5] at @s run summon item ~ ~1 ~ {Item:{id:"diamond",Count:3b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/5] at @s run summon item ~ ~1 ~ {Item:{id:"gold_ingot",Count:2b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/2] at @s run summon item ~ ~1 ~ {Item:{id:"gold_ingot",Count:7b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/3.5] at @s run summon item ~ ~1 ~ {Item:{id:"emerald",Count:4b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/0.5] at @s run summon item ~ ~1 ~ {Item:{id:"emerald",Count:10b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/2] at @s run summon item ~ ~1 ~ {Item:{id:"netherite_ingot",Count:1b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/1] at @s run summon item ~ ~1 ~ {Item:{id:"netherite_ingot",Count:3b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/0.5] at @s run summon item ~ ~1 ~ {Item:{id:"golden_apple",Count:2b}}
execute as @a[scores={ot.Charm=34},predicate=ot:random/0.1] at @s run summon item ~ ~1 ~ {Item:{id:"enchanted_gold_apple",Count:1b}}


#Necromorph
execute if score @s ot.alien matches 534 run scoreboard players set @s ot.Raimboo 40
execute if score @s ot.alien matches 516..517 run scoreboard players set @s ot.Raimboo 10
execute if score @s ot.alien matches 518 run scoreboard players set @s ot.Raimboo 13
execute if score @s ot.alien matches 519 run scoreboard players set @s ot.Raimboo 20
execute if score @s ot.alien matches 520..521 run scoreboard players set @s ot.Raimboo 25
execute if score @s ot.alien matches 522 run scoreboard players set @s ot.Raimboo 14
execute if score @s ot.alien matches 523 run scoreboard players set @s ot.Raimboo 27
execute if score @s ot.alien matches 524 run scoreboard players set @s ot.Raimboo 15
execute if score @s ot.alien matches 525..526 run scoreboard players set @s ot.Raimboo 30
execute if score @s ot.alien matches 527 run scoreboard players set @s ot.Raimboo 40






#Vazdoriz
execute if score @s ot.alien matches 501 run scoreboard players set @s ot.Raimboo 10
execute if score @s ot.alien matches 502..504 run scoreboard players set @s ot.Raimboo 40
execute if score @s ot.alien matches 505 run scoreboard players set @s ot.Raimboo 22
execute if score @s ot.alien matches 506 run scoreboard players set @s ot.Raimboo 36
execute if score @s ot.alien matches 507 run scoreboard players set @s ot.Raimboo 47
execute if score @s ot.alien matches 508 run scoreboard players set @s ot.Raimboo 10
execute if score @s ot.alien matches 509 run scoreboard players set @s ot.Raimboo 15
execute if score @s ot.alien matches 510 run scoreboard players set @s ot.Raimboo 80
execute if score @s ot.alien matches 511 run scoreboard players set @s ot.Raimboo 22
execute if score @s ot.alien matches 512 run scoreboard players set @s ot.Raimboo 11

execute if score @s ot.alien matches 513 run scoreboard players set @s ot.Raimboo 25
execute if score @s ot.alien matches 514 run scoreboard players set @s ot.Raimboo 50
execute if score @s ot.alien matches 515 run scoreboard players set @s ot.Raimboo 100
execute if score @s ot.alien matches 516 run scoreboard players set @s ot.Raimboo 80
execute if score @s ot.alien matches 517 run scoreboard players set @s ot.Raimboo 22
execute if score @s ot.alien matches 518 run scoreboard players set @s ot.Raimboo 11

execute if score @s ot.alien matches 529 run scoreboard players set @s ot.Raimboo 100
execute if score @s ot.alien matches 530..533 run scoreboard players set @s ot.Raimboo 20

execute if score @s ot.alien matches 535 run scoreboard players set @s ot.Raimboo 1000
execute if score @s ot.alien matches 536 run scoreboard players set @s ot.Raimboo 50
execute if score @s ot.alien matches 537 run scoreboard players set @s ot.Raimboo 150



#itemz,tags, whatnot eehheh
execute if score @s ot.alien matches 502 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"echo_shard",Count:2b}}
execute if score @s ot.alien matches 503 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"glowstone_dust",Count:17b}}
execute if score @s ot.alien matches 504 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"emerald",Count:3b}}
execute if score @s ot.alien matches 502..504 unless entity @e[scores={ot.alien=502..504},distance=5..] run tag @a[distance=..50] remove ot.BossFightTwisterBros
execute if score @s ot.alien matches 502..504 unless entity @e[scores={ot.alien=502..504},distance=5..] run summon item ~ ~ ~ {Item:{id:"diamond_sword",count:1,components:{"item_name":'{"color":"red","italic":false,"translate":"ot.ow_twbl"}',"unbreakable":{},"custom_model_data":{strings:['ota_owtb']},"custom_data":{OtaWeapon:1b},"attribute_modifiers":[{id:"otweap_at",type:"attack_damage",amount:15,operation:"add_value"}]}}}

execute if score @s ot.alien matches 506 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"flint",Count:2}}

execute if score @s ot.alien matches 507 run playsound ot:ps_defeat player @a[distance=..50] ~ ~ ~ 1
execute if score @s ot.alien matches 507 as @a[sort=nearest,limit=1] at @s run summon item ~ ~ ~ {Item:{id:"diamond_sword",count:1,components:{"item_name":'{"color":"light_purple","italic":false,"translate":"ot.ow_chsw"}',"unbreakable":{},"custom_model_data":{strings:['ota_owcs']},"custom_data":{OtaWeapon:1b},"attribute_modifiers":[{id:"otweap_at",type:"attack_damage",amount:12,operation:"add_value"}]}}}

execute if score @s ot.alien matches 507 run tag @a[distance=..50] remove ot.BossFight1055



execute if score @s ot.alien matches 508 as @a[distance=..20] at @s run effect give @s instant_health 3 1 true
execute if score @s ot.alien matches 508 run particle glow_squid_ink ~ ~1 ~ 4 3 4 0 75 force @a[distance=..50]

execute if score @s ot.alien matches 509 as @a[sort=nearest,limit=1] at @s if predicate ot:random/15 run summon item ~ ~1 ~ {Item:{id:"gold_block",Count:1}}
execute if score @s ot.alien matches 509 as @a[sort=nearest,limit=1] at @s if predicate ot:random/25 run summon item ~ ~1 ~ {id:"item",Item:{id:"warped_fungus_on_a_stick",components:{"custom_name":'{"color":"#ffff0a","italic":false,"translate":"ot.shgen_5"}',"unbreakable":{show_in_tooltip:false},"custom_model_data":{strings:['ota_sg_bolt']},"custom_data":{OtaItem:1b,OtaConsume:1b}}}}

execute if score @s ot.alien matches 510 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"diamond_sword",components:{"item_name":'{"color":"#77cad9","italic":false,"translate":"ot.ow_she"}',"unbreakable":{},"custom_model_data":{strings:['ota_owsh']},"custom_data":{OtaWeapon:1b},"attribute_modifiers":[{id:"otweap_at",type:"attack_damage",amount:12,operation:"add_value"}]}}}
execute if score @s ot.alien matches 510 run tag @a[distance=..50] remove ot.BossFightCynthia

execute if score @s ot.alien matches 511 run playsound ot:sle_defeat player @a[distance=..50] ~ ~ ~ .3

execute if score @s ot.alien matches 512 run playsound ot:vkr_defeat player @a[distance=..50] ~ ~ ~ 
execute if score @s ot.alien matches 512 run effect clear @e[distance=..30] levitation
execute if score @s ot.alien matches 512 run tag @e[distance=..30] remove ot.VazKrezSnatched


execute if score @s ot.alien matches 513 run playsound ot:vspc_defeat player @a[distance=..50] ~ ~ ~

execute if score @s ot.alien matches 514 run playsound ot:bzsw_defeat player @a[distance=..50] ~ ~ ~ .2

execute if score @s ot.alien matches 515 run playsound ot:vpuk_defeat player @a[distance=..50] ~ ~ ~ .7
execute if score @s ot.alien matches 515 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"diamond_sword",components:{"item_name":'{"color":"#d63c04","italic":false,"translate":"ot.ow_jg"}',"unbreakable":{},"custom_model_data":{strings:['ota_owjg']},"custom_data":{OtaWeapon:1b},"attribute_modifiers":[{id:"otweap_at",type:"attack_damage",amount:14,operation:"add_value"}]}}}

execute if score @s ot.alien matches 515 run tag @a[distance=..50] remove ot.BossFightGreatPumpkin
execute if score @s ot.alien matches 515 run kill @e[scores={ot.alien=528},distance=..50]

execute if score @s ot.alien matches 528 run tag @e[scores={ot.alien=515},limit=1,sort=nearest,distance=..50] add ot.MinionDie


#Vazdoriz--Toolsmith
execute if score @s ot.alien matches 529 run playsound ot:vtoo_defeat player @a[distance=..50] ~ ~ ~ .6
execute if score @s ot.alien matches 529 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"diamond_sword",components:{"item_name":'{"color":"#91d5e6","italic":false,"translate":"ot.ext_blade"}',"unbreakable":{},"custom_model_data":{strings:['ota_ozs']},"custom_data":{OtaItem:1b},"attribute_modifiers":[{id:"otweap_at",type:"attack_damage",amount:8,operation:"add_value"}]}}}

execute if score @s ot.alien matches 529 run kill @e[scores={ot.alien=530..533},distance=..50]

execute if score @s ot.alien matches 530..533 if entity @e[scores={ot.alien=529},distance=..10] run playsound ot:vtoo_lose player @a[distance=..50] ~ ~ ~
execute if score @s ot.alien matches 530 run tag @e[name=toolsmith_body,tag=!ot.MultiLostLeftArm,limit=1,distance=..30,sort=nearest] add ot.MultiLostLeftArm
execute if score @s ot.alien matches 531 run tag @e[name=toolsmith_body,tag=!ot.MultiLostRightArm,limit=1,distance=..30,sort=nearest] add ot.MultiLostRightArm
execute if score @s ot.alien matches 532 run tag @e[name=toolsmith_body,tag=!ot.MultiLostRightLeg,limit=1,distance=..30,sort=nearest] add ot.MultiLostRightLeg
execute if score @s ot.alien matches 533 run tag @e[name=toolsmith_body,tag=!ot.MultiLostLeftLeg,limit=1,distance=..30,sort=nearest] add ot.MultiLostLeftLeg

#

execute if score @s ot.alien matches 535 run tag @a remove ot.DataVilEnsnared
execute if score @s ot.alien matches 535 if predicate ot:random/50 run tag @s[tag=!ot.Defeat1] add ot.Defeat1 
execute if score @s ot.alien matches 535 if predicate ot:random/50 run tag @s[tag=!ot.Defeat1,tag=!ot.Defeat2] add ot.Defeat2
execute if score @s ot.alien matches 535 run tag @s[tag=!ot.Defeat1,tag=!ot.Defeat2] add ot.Defeat3
execute if score @s ot.alien matches 535 if entity @s[tag=ot.Defeat1] run playsound ot:dvg_defeat1 player @a[distance=..50] ~ ~ ~
execute if score @s ot.alien matches 535 if entity @s[tag=ot.Defeat2] run playsound ot:dvg_defeat2 player @a[distance=..50] ~ ~ ~
execute if score @s ot.alien matches 535 if entity @s[tag=ot.Defeat3] run playsound ot:dvg_defeat3 player @a[distance=..50] ~ ~ ~
execute if score @s ot.alien matches 535 run give @a[distance=..30] warped_fungus_on_a_stick[custom_name='{"color":"dark_aqua","italic":false,"text":"Stat Charm: Strength / Resistance Up"}',lore=['{"color":"aqua","italic":false,"translate":"ot.chrdsc36"}'],custom_model_data={strings:['ota_charmready']},custom_data={OtaCharm:1b,OtCharm35:1}]
execute if score @s ot.alien matches 535 run advancement grant @a[distance=..100] only ot:defeated_vilgax
execute if score @s ot.alien matches 535 run advancement grant @a[tag=ot.BF_HasntBeenHit,distance=..100] only ot:defeated_vilgax_wtf
execute if score @s ot.alien matches 535 run tag @a[tag=ot.BF_HasntBeenHit,distance=..100] remove ot.BF_HasntBeenHit
execute if score @s ot.alien matches 535 run tag @a[distance=..100] remove ot.BossFightDataVil

execute if score @s ot.alien matches 536 unless predicate ot:random/0.1 run tag @s[tag=!ot.Defeat1] add ot.Defeat1 
execute if score @s ot.alien matches 536 run tag @s[tag=!ot.Defeat1] add ot.Defeat2
execute if score @s ot.alien matches 536 if entity @s[tag=ot.Defeat1] run playsound ot:hoho_defeat1 player @a[distance=..50] ~ ~ ~
execute if score @s ot.alien matches 536 if entity @s[tag=ot.Defeat2] run playsound ot:hoho_defeat2 player @a[distance=..50] ~ ~ ~
#

execute if score @s ot.alien matches 537 run playsound ot:jeff_defeat player @a[distance=..40] ~ ~ ~

#execute if score @s ot.alien matches 537 as @a[sort=nearest,limit=1] at @s run summon item ~ ~1 ~ {Item:{id:"diamond_sword",count:1,components:{"item_name":'{"color":"dark_red","italic":false,"translate":"ot.ow_knife"}',"unbreakable":{},"custom_model_data":{strings:['ota_owkn']},"custom_data":{OtaWeapon:1b},"attribute_modifiers":[{id:"otweap_at",type:"attack_damage",amount:18,operation:"add_value"}]}}}



execute if score @s ot.Raimboo matches 1.. run scoreboard players operation @a[scores={ot.Progress=..99},tag=!ot.NOXP,distance=..100] ot.opoints_add = @s ot.Raimboo
execute if score @s ot.Raimboo matches 1.. run scoreboard players operation @a[tag=ot.x2OXP,scores={ot.Progress=..99},tag=!ot.NOXP,distance=..100] ot.opoints_add += @s ot.Raimboo




execute as @a at @s unless score @s ot.2xpTimer matches 1.. run tag @s remove ot.x2OXP

#DontSpawnForABit    Ni
execute if entity @s[team=!ot.necro_rage,team=!ot.vazdo_rage] as @a[tag=ot.LowSpawnz,scores={ot.alien=1..},sort=nearest,distance=..50] unless score @s ot.MobTimer matches 1.. run scoreboard players set @s ot.MobTimer 28
execute if entity @s[team=!ot.necro_rage,team=!ot.vazdo_rage] as @a[tag=ot.MidSpawnz,scores={ot.alien=1..},sort=nearest,distance=..50] unless score @s ot.MobTimer matches 1.. run scoreboard players set @s ot.MobTimer 12
execute if entity @s[team=!ot.necro_rage,team=!ot.vazdo_rage] as @a[tag=ot.HighSpawnz,scores={ot.alien=1..},sort=nearest,distance=..50] unless score @s ot.MobTimer matches 1.. run scoreboard players set @s ot.MobTimer 5
execute if entity @s[team=!ot.necro_rage,team=!ot.vazdo_rage] as @a[scores={ot.alien=0},sort=nearest,distance=..50] unless score @s ot.MobTimer matches 1.. run scoreboard players set @s ot.MobTimer 60

execute unless entity @s[team=!ot.necro_rage,team=!ot.vazdo_rage] if predicate ot:random/2 unless entity @e[tag=ot.Mob,distance=10..50] run tag @a[limit=1,sort=nearest] add ot.RunTheOnesBitch

particle cloud ~ ~1 ~ 1 1 1 1 50 force @a[distance=..50]

bossbar set ot.s visible false

execute as @a[sort=nearest,limit=1,distance=..50] at @s if predicate ot:random/0.1 run summon item ~ ~1 ~ {Item:{id:"wither_skull",Count:1}}

scoreboard players remove @a[distance=..40,sort=nearest,limit=1,scores={ot.HMMAIF=1..}] ot.HMMAIF 1

kill @s[type=!player]
scoreboard players set @s[type=!player] ot.death 1
execute as @e[type=item,distance=..50] at @s if items entity @s contents copper_ingot run kill @s
execute as @e[type=item,distance=..50] at @s if items entity @s contents rotten_flesh run kill @s